![Clover logo](https://www.clover.com/static/media/clover-logo.4204a79c.svg)

# Clover SDK for JavaScript integration

## Version

Current version: {version}

## Platforms supported

- Macintosh
- Linux
- Windows (for version 1.3.2 and >=1.4.2)

## Overview
This SDK provides an API that enables your JavaScript point-of-sale (POS) system to communicate with a [Clover® payment device](https://www.clover.com/pos-hardware/). Learn more about [Clover integrations](https://www.clover.com/integrations).

You can use the API in conjunction with:

* The proper browser framework from a Node.js `require` directive [hosted on npm](https://www.npmjs.com/package/remote-pay-cloud)
* A server-based Node.js application by including a compatible [WebSocket](https://www.npmjs.com/package/websocket) and [XMLHttpRequest](https://www.npmjs.com/package/xmlhttprequest) library

If used from a browser, the browser must support WebSockets. For more information, see [WebSocket Browser Support](http://caniuse.com/#feat=websockets).

## Getting Started

Please see the [Getting started with Clover Connector tutorial for JavaScript](https://docs.clover.com/clover-platform/docs/cloud-sdk-v3).

As a good starting point, install your choice of pay display app on the Clover device:
- Cloud Pay Display app for cloud-based interactions between your POS system and the Clover device
- [Secure Network Pay Display app](https://docs.clover.com/clover-platform/docs/pay-display-apps#section--secure-network-pay-display-) for wireless local network-based interactions between your POS system and the Clover device

### Examples
Example applications can be found on [GitHub](https://github.com/clover/remote-pay-cloud-examples).

### Additional resources
- [Online Docs](http://clover.github.io/remote-pay-cloud/4.0.0/)
- [Release Notes](https://github.com/clover/remote-pay-cloud/releases)
- [Pay Display Applications](https://docs.clover.com/clover-platform/docs/pay-display-apps)
- [Tutorial for the Cloud SDK](https://docs.clover.com/clover-platform/docs/cloud-sdk-v3)
- [API Class Documentation](http://clover.github.io/remote-pay-cloud-api/4.0.0/)
- [Clover Developer Community](https://community.clover.com/index.html)

## License 
Copyright © 2020 Clover Network, Inc. All rights reserved.


