import * as sdk from 'remote-pay-cloud-api';
/**
 * Broadcasts events to a set of ICloverConnectorListener's
 *
 */
export declare class CloverConnectorBroadcaster {
    private listeners;
    private logger;
    constructor();
    clear(): void;
    push(...items: Array<sdk.remotepay.ICloverConnectorListener>): number;
    indexOf(searchElement: sdk.remotepay.ICloverConnectorListener, fromIndex?: number): number;
    splice(start: number, deleteCount: number, ...items: Array<sdk.remotepay.ICloverConnectorListener>): sdk.remotepay.ICloverConnectorListener[];
    notifyOnTipAdded(tip: number): void;
    notifyOnRefundPaymentResponse(refundPaymentResponse: sdk.remotepay.RefundPaymentResponse): void;
    notifyCloseout(closeoutResponse: sdk.remotepay.CloseoutResponse): void;
    notifyOnDeviceActivityStart(deviceEvent: sdk.remotepay.CloverDeviceEvent): void;
    notifyOnDeviceActivityEnd(deviceEvent: sdk.remotepay.CloverDeviceEvent): void;
    notifyOnSaleResponse(response: sdk.remotepay.SaleResponse): void;
    notifyOnAuthResponse(response: sdk.remotepay.AuthResponse): void;
    notifyOnManualRefundResponse(response: sdk.remotepay.ManualRefundResponse): void;
    notifyOnVerifySignatureRequest(request: sdk.remotepay.VerifySignatureRequest): void;
    notifyOnVoidPaymentResponse(response: sdk.remotepay.VoidPaymentResponse): void;
    notifyOnVoidPaymentRefundResponse(response: sdk.remotepay.VoidPaymentRefundResponse): void;
    notifyOnConnect(): void;
    notifyOnDisconnect(message?: string): void;
    notifyOnReady(merchantInfo: sdk.remotepay.MerchantInfo): void;
    notifyOnTipAdjustAuthResponse(response: sdk.remotepay.TipAdjustAuthResponse): void;
    notifyOnVaultCardRespose(ccr: sdk.remotepay.VaultCardResponse): void;
    notifyOnPreAuthResponse(response: sdk.remotepay.PreAuthResponse): void;
    notifyOnCapturePreAuth(response: sdk.remotepay.CapturePreAuthResponse): void;
    notifyOnIncrementPreAuthResponse(response: sdk.remotepay.IncrementPreAuthResponse): void;
    notifyOnDeviceError(errorEvent: sdk.remotepay.CloverDeviceErrorEvent): void;
    notifyOnPrintRefundPaymentReceipt(printRefundPaymentReceiptResponse: sdk.remotepay.PrintRefundPaymentReceiptResponse): void;
    notifyOnPrintPaymentMerchantCopyReceipt(message: sdk.remotepay.PrintPaymentMerchantCopyReceiptMessage): void;
    notifyOnPrintPaymentDeclineReceipt(message: sdk.remotepay.PrintPaymentDeclineReceiptMessage): void;
    notifyOnPrintPaymentReceipt(message: sdk.remotepay.PrintPaymentReceiptMessage): void;
    notifyOnPrintCreditReceipt(message: sdk.remotepay.PrintManualRefundReceiptMessage): void;
    notifyOnPrintCreditDeclineReceipt(message: sdk.remotepay.PrintManualRefundDeclineReceiptMessage): void;
    notifyOnConfirmPaymentRequest(confirmPaymentRequest: sdk.remotepay.ConfirmPaymentRequest): void;
    notifyOnRetrievePendingPaymentResponse(rppr: sdk.remotepay.RetrievePendingPaymentsResponse): void;
    notifyOnReadCardDataResponse(rcdr: sdk.remotepay.ReadCardDataResponse): void;
    notifyOnActivityMessage(response: sdk.remotepay.MessageFromActivity): void;
    notifyOnActivityResponse(response: sdk.remotepay.CustomActivityResponse): void;
    notifyOnRetrieveDeviceStatusResponse(response: sdk.remotepay.RetrieveDeviceStatusResponse): void;
    notifyOnResetDeviceResponse(response: sdk.remotepay.ResetDeviceResponse): void;
    notifyOnRetrievePaymentResponse(response: sdk.remotepay.RetrievePaymentResponse): void;
    notifyOnRetrievePrintersResponse(response: sdk.remotepay.RetrievePrintersResponse): void;
    notifyOnPrintJobStatusResponse(response: sdk.remotepay.PrintJobStatusResponse): void;
    notifyOnCustomerProvidedDataEvent(event: sdk.remotepay.CustomerProvidedDataEvent): void;
    notifyOnDisplayReceiptOptionsResponse(response: sdk.remotepay.DisplayReceiptOptionsResponse): void;
    notifyOnInvalidStateTransitionResponse(response: sdk.remotepay.InvalidStateTransitionResponse): void;
    notifyOnSignatureCollected(response: sdk.remotepay.SignatureResponse): void;
    notifyOnCheckBalanceResponse(response: sdk.remotepay.CheckBalanceResponse): void;
    notifyOnTipResponse(response: sdk.remotepay.TipResponse): void;
}
