import { CloverWebSocketInterface } from './CloverWebSocketInterface';
/**
 * Uses a browser Websocket.
 *
 *
 */
export declare class BrowserWebSocketImpl extends CloverWebSocketInterface {
    constructor(endpoint: string);
    /**
     *
     * @override
     * @param endpoint - the url that will connected to
     * @param accessToken - Here the access token is passed as a second param to `new WebSocket()` and will be read
     * by the support server as a "subprotocol" in the Sec-WebSocket-Protocol header value.
     * @returns {WebSocket} - the specific implementation of a websocket
     */
    createWebSocket(endpoint: string, accessToken?: string): any;
    /**
     * Browser implementations do not do pong frames
     */
    sendPong(): CloverWebSocketInterface;
    /**
     * Browser implementations do not do ping frames
     */
    sendPing(): CloverWebSocketInterface;
    /**
     * Create an instance of this class
     *
     * @param endpoint
     * @returns {BrowserWebSocketImpl}
     */
    static createInstance(endpoint: string): BrowserWebSocketImpl;
}
